WORKING
Merchants
post
/v1/merchantsSubmit a merchant onboarding application (creates a 7-day temp account)
Request body
| Field | Type | Required |
|---|---|---|
| repEmail | string (email) | yes |
| repName | string | yes |
| legalName | string | yes |
| displayName | string | yes |
| country | string | yes |
| defaultCurrency | string | yes |
| businessId | string (uuid) | yes |
Response (201)
| Field | Type | Required |
|---|---|---|
| id | string (uuid) | — |
| legalName | string | — |
| displayName | string | — |
| slug | string | — |
| tier | SANDBOX | STARTER | GROWTH | ENTERPRISE | — |
| status | TEMP_PENDING | UNDER_REVIEW | APPROVED | SUSPENDED | REJECTED | — |
| listingModeAllowed | string[] | — |
| tradingEnabled | boolean | — |
| country | string | — |
| defaultCurrency | string | — |
| createdAt | string (date-time) | — |
| approvedAt | string,null (date-time) | — |
get
/v1/merchants/{id}Get merchant
Parameters
| id | path | required |
Response (200)
| Field | Type | Required |
|---|---|---|
| id | string (uuid) | — |
| legalName | string | — |
| displayName | string | — |
| slug | string | — |
| tier | SANDBOX | STARTER | GROWTH | ENTERPRISE | — |
| status | TEMP_PENDING | UNDER_REVIEW | APPROVED | SUSPENDED | REJECTED | — |
| listingModeAllowed | string[] | — |
| tradingEnabled | boolean | — |
| country | string | — |
| defaultCurrency | string | — |
| createdAt | string (date-time) | — |
| approvedAt | string,null (date-time) | — |
patch
/v1/merchants/{id}Update merchant settings (ADMIN/OWNER only)
Parameters
| id | path | required |
| optional |
Request body
Response (200)
| Field | Type | Required |
|---|---|---|
| id | string (uuid) | — |
| legalName | string | — |
| displayName | string | — |
| slug | string | — |
| tier | SANDBOX | STARTER | GROWTH | ENTERPRISE | — |
| status | TEMP_PENDING | UNDER_REVIEW | APPROVED | SUSPENDED | REJECTED | — |
| listingModeAllowed | string[] | — |
| tradingEnabled | boolean | — |
| country | string | — |
| defaultCurrency | string | — |
| createdAt | string (date-time) | — |
| approvedAt | string,null (date-time) | — |
post
/v1/merchants/{id}/submit-applicationSubmit or resubmit onboarding documents during the 7-day temp window
Parameters
| id | path | required |
Request body
get
/v1/merchants/{id}/application-statusTrack onboarding application status
Parameters
| id | path | required |
Response (200)
| Field | Type | Required |
|---|---|---|
| status | SUBMITTED | RESUBMISSION_REQUIRED | UNDER_REVIEW | APPROVED | REJECTED | EXPIRED | — |
| reviewerNotes | stringnull | — |
post
/v1/merchants/{id}/users/inviteInvite a developer or account-manager sub-user (ADMIN/OWNER only)
Parameters
| id | path | required |
| optional |
Request body
| Field | Type | Required |
|---|---|---|
| string (email) | yes | |
| role | ADMIN | DEVELOPER | ACCOUNT_MANAGER | yes |
Response (201)
| Field | Type | Required |
|---|---|---|
| id | string (uuid) | — |
| merchantId | string (uuid) | — |
| userId | string (uuid) | — |
| role | OWNER | ADMIN | DEVELOPER | ACCOUNT_MANAGER | — |
| invitedAt | string (date-time) | — |
| acceptedAt | string,null (date-time) | — |
get
/v1/merchants/{id}/usersList merchant org users
Parameters
| id | path | required |
| optional | ||
| optional |
Response (200)
| Field | Type | Required |
|---|---|---|
| data | object[] | — |
| nextCursor | stringnull | — |
patch
/v1/merchants/{id}/users/{userId}/roleChange a sub-user's role (OWNER only)
Parameters
| id | path | required |
| userId | path | required |
| optional |
Request body
| Field | Type | Required |
|---|---|---|
| role | OWNER | ADMIN | DEVELOPER | ACCOUNT_MANAGER | yes |
Response (200)
| Field | Type | Required |
|---|---|---|
| id | string (uuid) | — |
| merchantId | string (uuid) | — |
| userId | string (uuid) | — |
| role | OWNER | ADMIN | DEVELOPER | ACCOUNT_MANAGER | — |
| invitedAt | string (date-time) | — |
| acceptedAt | string,null (date-time) | — |